Bug 1222539 - cannot connect to ad-hoc WEP wifi
Summary: cannot connect to ad-hoc WEP wifi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-18 13:15 UTC by Yann Droneaud
Modified: 2021-01-03 15:34 UTC (History)
9 users (show)

Fixed In Version: wpa_supplicant-2.4-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:17:43 UTC
Type: Bug


Attachments (Terms of Use)
wpa_supplicant debug log (51.73 KB, text/plain)
2015-05-29 20:30 UTC, Yann Droneaud
no flags Details

Description Yann Droneaud 2015-05-18 13:15:22 UTC
After upgrade from fc21 to fc22, I cannot connect to the wifi network created by Nokia N9 Hotspot: the network doesn't appear in Gnome dialog, even if iwlist (wifi-radar) can report it:

          Cell 05 - Address: 5A:FA:BA:XX:XX:XX
                    Channel:1
                    Frequency:2.412 GHz (Channel 1)
                    Quality=70/70  Signal level=-34 dBm  
                    Encryption key:on
                    ESSID:"Nokia_XXXXXXXXXXXXX"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s
                              9 Mb/s; 12 Mb/s; 18 Mb/s
                    Bit Rates:24 Mb/s; 36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Ad-Hoc
                    Extra:tsf=0000000120bd5924
                    Extra: Last beacon: 50ms ago
                    IE: Unknown:
                    IE: Unknown:
                    IE: Unknown:
                    IE: Unknown:
                    IE: Unknown:


I'm using a Lenovo ThinkPad x220

DMI: LENOVO 4287CTO/4287CTO, BIOS 8DET58WW (1.28 ) 02/14/2012

System Information
        Manufacturer: LENOVO
        Product Name: 4287CTO
        Version: ThinkPad X220

BIOS Information
        Vendor: LENOVO
        Version: 8DET58WW (1.28 )

With an Intel Wifi internal adapter:

iwlwifi 0000:03:00.0: Detected Intel(R) Centrino(R) Advanced-N 6205 AGN, REV=0xB0
iwlwifi 0000:03:00.0: loaded firmware version 18.168.6.1 op_mode iwldvm


03:00.0 0280: 8086:0085 (rev 34)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)
	Subsystem: Intel Corporation Centrino Advanced-N 6205 AGN

Comment 1 Jirka Klimes 2015-05-22 11:31:16 UTC
Can you run 'nmcli device wifi' to see if NetworkManager knows the network?
Please attach NetworkManager logs (journal -b -u Networkmanager).

Comment 2 Yann Droneaud 2015-05-25 20:29:41 UTC
(In reply to Jirka Klimes from comment #1)
> Can you run 'nmcli device wifi' to see if NetworkManager knows the network?
> Please attach NetworkManager logs (journal -b -u Networkmanager).

Just after starting the access point on Nokia N9:

[ydroneaud@test ~]$ sudo LC_ALL=C nmcli device wifi
*  SSID                  MODE    CHAN  RATE       SIGNAL  BARS  SECURITY    
   Partenaires XXXXXXXX  Infra   6     54 Mbit/s  27      *     --          
   --                    Infra   6     54 Mbit/s  34      **    WPA2 802.1X 
   --                    Infra   6     54 Mbit/s  25      *     WPA2        
   --                    Infra   6     54 Mbit/s  24      *     WPA2 802.1X 
   Partenaires XXXXXXXX  Infra   6     54 Mbit/s  30      *     --          
   Partenaires XXXXXXXX  Infra   1     54 Mbit/s  27      *     --          
   Nokia_XXXXXXXXXXXX    Ad-Hoc  1     54 Mbit/s  100     ****  WEP         

In Gnome Shell, the network icon shows a connection attempt, and few seconds later then the access point is no more seen by Network Manager:

[ydroneaud@test ~]$ sudo LC_ALL=C nmcli device wifi
*  SSID                  MODE   CHAN  RATE       SIGNAL  BARS  SECURITY    
   Partenaires XXXXXXXX  Infra  6     54 Mbit/s  24      *     --          
   --                    Infra  6     54 Mbit/s  30      *     WPA2 802.1X 
   --                    Infra  6     54 Mbit/s  30      *     WPA2        
   --                    Infra  6     54 Mbit/s  24      *     WPA2 802.1X 
   Partenaires XXXXXXXX  Infra  6     54 Mbit/s  30      *     --          
   Partenaires XXXXXXXX  Infra  1     54 Mbit/s  27      *     --          


The logs are rather empty:

$ sudo journalctl -b -u Networkmanager
-- Logs begin at sam. 2013-06-08 13:56:15 CEST, end at lun. 2015-05-25 14:12:55 CEST. --


I'm only able to find that:

$ sudo journalctl -a -n 1000

mai 25 14:12:42 test.quest-ce.net kernel: IPv6: ADDRCONF(NETDEV_UP): wlp3s0: link is not ready
mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: L1 Enabled - LTR Disabled
mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: L1 Enabled - LTR Disabled
mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
mai 25 14:12:42 test.quest-ce.net kernel: IPv6: ADDRCONF(NETDEV_UP): wlp3s0: link is not ready

Regards.

Comment 3 Hedayat Vatankhah 2015-05-28 10:28:27 UTC
I have another issue which might be related to this bug: I cannot *create* an ad-hoc network in F22 while I can do it in F21. In F22, I got these lines:

(wls3): Activation: Stage 2 of 5 (Device Configure) complete.
Config: set interface ap_scan to 2
(wls3): supplicant interface state: inactive -> disconnected
(wls3): Activation: (wifi) Ad-Hoc network creation took too long, failing activation
(wls3): device state change: config -> failed (reason 'supplicant-timeout') [50 120 11]
(wls3): Activation: failed for connection 'Hotspot'
(wls3): device state change: failed -> disconnected (reason 'none') [120 30 0]
(wls3): deactivating device (reason 'none') [0]
(wls3): supplicant interface state: disconnected -> inactive
disconnected by the system bus.


I was going to open a new bug, but found this bug and thought that it might be related to a similar issue.

Comment 4 Jirka Klimes 2015-05-29 11:42:51 UTC
(In reply to Yann Droneaud from comment #2)
> (In reply to Jirka Klimes from comment #1)
> > Can you run 'nmcli device wifi' to see if NetworkManager knows the network?
> > Please attach NetworkManager logs (journal -b -u Networkmanager).
> 
> Just after starting the access point on Nokia N9:
> 
> [ydroneaud@test ~]$ sudo LC_ALL=C nmcli device wifi
> *  SSID                  MODE    CHAN  RATE       SIGNAL  BARS  SECURITY    
>    Partenaires XXXXXXXX  Infra   6     54 Mbit/s  27      *     --          
>    --                    Infra   6     54 Mbit/s  34      **    WPA2 802.1X 
>    --                    Infra   6     54 Mbit/s  25      *     WPA2        
>    --                    Infra   6     54 Mbit/s  24      *     WPA2 802.1X 
>    Partenaires XXXXXXXX  Infra   6     54 Mbit/s  30      *     --          
>    Partenaires XXXXXXXX  Infra   1     54 Mbit/s  27      *     --          
>    Nokia_XXXXXXXXXXXX    Ad-Hoc  1     54 Mbit/s  100     ****  WEP         
> 
> In Gnome Shell, the network icon shows a connection attempt, and few seconds
> later then the access point is no more seen by Network Manager:
> 
> [ydroneaud@test ~]$ sudo LC_ALL=C nmcli device wifi
> *  SSID                  MODE   CHAN  RATE       SIGNAL  BARS  SECURITY    
>    Partenaires XXXXXXXX  Infra  6     54 Mbit/s  24      *     --          
>    --                    Infra  6     54 Mbit/s  30      *     WPA2 802.1X 
>    --                    Infra  6     54 Mbit/s  30      *     WPA2        
>    --                    Infra  6     54 Mbit/s  24      *     WPA2 802.1X 
>    Partenaires XXXXXXXX  Infra  6     54 Mbit/s  30      *     --          
>    Partenaires XXXXXXXX  Infra  1     54 Mbit/s  27      *     --          
> 
> 
> The logs are rather empty:
> 
> $ sudo journalctl -b -u Networkmanager
> -- Logs begin at sam. 2013-06-08 13:56:15 CEST, end at lun. 2015-05-25
> 14:12:55 CEST. --
> 
The service name is case sensitive for journald. So you need to type "NetworkManager" with capital M :)
$ sudo journalctl -b -u NetworkManager

f you don't see anything even that way, please look if there are traditional /var/log/messages* file(s).

> 
> I'm only able to find that:
> 
> $ sudo journalctl -a -n 1000
> 
> mai 25 14:12:42 test.quest-ce.net kernel: IPv6: ADDRCONF(NETDEV_UP): wlp3s0:
> link is not ready
> mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: L1 Enabled -
> LTR Disabled
> mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: Radio
> type=0x1-0x2-0x0
> mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: L1 Enabled -
> LTR Disabled
> mai 25 14:12:42 test.quest-ce.net kernel: iwlwifi 0000:03:00.0: Radio
> type=0x1-0x2-0x0
> mai 25 14:12:42 test.quest-ce.net kernel: IPv6: ADDRCONF(NETDEV_UP): wlp3s0:
> link is not ready
> 

This is part of 'dmesg' command output, and it might be interesting too.

Comment 5 Jirka Klimes 2015-05-29 11:50:58 UTC
(In reply to Hedayat Vatankhah from comment #3)
> I have another issue which might be related to this bug: I cannot *create*
> an ad-hoc network in F22 while I can do it in F21. In F22, I got these lines:
> 
> (wls3): Activation: Stage 2 of 5 (Device Configure) complete.
> Config: set interface ap_scan to 2
> (wls3): supplicant interface state: inactive -> disconnected
> (wls3): Activation: (wifi) Ad-Hoc network creation took too long, failing
> activation
> (wls3): device state change: config -> failed (reason 'supplicant-timeout')
> [50 120 11]
> (wls3): Activation: failed for connection 'Hotspot'
> (wls3): device state change: failed -> disconnected (reason 'none') [120 30
> 0]
> (wls3): deactivating device (reason 'none') [0]
> (wls3): supplicant interface state: disconnected -> inactive
> disconnected by the system bus.
> 
> 
> I was going to open a new bug, but found this bug and thought that it might
> be related to a similar issue.

Is the hardware the same as in Fedora 21?

Please try to grab NetworkManager and wpa_supplicant logs:
$ sudo journalctl -b -u NetworkManager
$ sudo journalctl -b -u wpa_supplicant
$ dmesg
$ nmcli dev

Comment 6 Hedayat Vatankhah 2015-05-29 14:30:00 UTC
Yes. I have a parallel F21/F22 installation; I can create ad-hoc networks in F21 but not in F22. 

---------------------------------
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: starting connection 'Hotspot'
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 1 of 5 (Device Prepare) scheduled...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 1 of 5 (Device Prepare) started...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): device state change: disconnected -> prepare (reason 'none') [30 40 0]
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 2 of 5 (Device Configure) scheduled...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 1 of 5 (Device Prepare) complete.
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 2 of 5 (Device Configure) starting...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): device state change: prepare -> config (reason 'none') [40 50 0]
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: (wifi) access point 'Hotspot' has security, but secrets are required.
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): device state change: config -> need-auth (reason 'none') [50 60 0]
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 2 of 5 (Device Configure) complete.
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 1 of 5 (Device Prepare) scheduled...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 1 of 5 (Device Prepare) started...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): device state change: need-auth -> prepare (reason 'none') [60 40 0]
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 2 of 5 (Device Configure) scheduled...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 2 of 5 (Device Configure) scheduled...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 1 of 5 (Device Prepare) complete.
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 2 of 5 (Device Configure) starting...
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): device state change: prepare -> config (reason 'none') [40 50 0]
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: (wifi) connection 'Hotspot' has security, and secrets exist.  No new secrets needed.
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  Config: added 'ssid' value 'hvlap.hvnet'
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  Config: added 'mode' value '1'
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  Config: added 'frequency' value '2412'
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  Config: added 'key_mgmt' value 'NONE'
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  Config: added 'wep_key0' value '<omitted>'
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  Config: added 'wep_tx_keyidx' value '0'
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): Activation: Stage 2 of 5 (Device Configure) complete.
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  Config: set interface ap_scan to 2
ﻢﻫ 29 18:50:31 hvlap.hvnet NetworkManager[681]: <info>  (wls3): supplicant interface state: inactive -> disconnected
ﻢﻫ 29 18:50:56 hvlap.hvnet NetworkManager[681]: <warn>  (wls3): Activation: (wifi) Ad-Hoc network creation took too long, failing activation
ﻢﻫ 29 18:50:56 hvlap.hvnet NetworkManager[681]: <info>  (wls3): device state change: config -> failed (reason 'supplicant-timeout') [50 120 11]
ﻢﻫ 29 18:50:56 hvlap.hvnet NetworkManager[681]: <warn>  (wls3): Activation: failed for connection 'Hotspot'
ﻢﻫ 29 18:50:56 hvlap.hvnet NetworkManager[681]: <info>  (wls3): device state change: failed -> disconnected (reason 'none') [120 30 0]
ﻢﻫ 29 18:50:56 hvlap.hvnet NetworkManager[681]: <info>  (wls3): deactivating device (reason 'none') [0]
ﻢﻫ 29 18:50:56 hvlap.hvnet NetworkManager[681]: <info>  (wls3): supplicant interface state: disconnected -> disabled
ﻢﻫ 29 18:50:56 hvlap.hvnet NetworkManager[681]: <info>  (wls3): supplicant interface state: disabled -> inactive

---------------------------------
[root@hvlap FedoraGit]# journalctl -b -u wpa_supplicant
-- Logs begin at دوشنبه 2015-05-25 10:21:34 IRDT, end at جمعه 2015-05-29 18:50:56 IRDT. --
مه 28 16:30:07 hvlap.hvnet systemd[1]: Starting WPA Supplicant daemon...
مه 28 16:30:07 hvlap.hvnet systemd[1]: Started WPA Supplicant daemon.
---------------------------------

The only lines added to dmesg output after unsuccessful hotspot creation:

[67844.003654] IPv6: ADDRCONF(NETDEV_UP): wls3: link is not ready
[67844.250596] IPv6: ADDRCONF(NETDEV_UP): wls3: link is not ready


---------------------------------
[root@hvlap FedoraGit]# nmcli dev
DEVICE       TYPE      STATE         CONNECTION         
virbr0       bridge    connected     virbr0             
enp0s25      ethernet  connected     enp0s25            
enp0s29f7u1  ethernet  connected     Wired connection 1 
vnet0        tap       connected     vnet0              
wls3         wifi      disconnected  --                 
lo           loopback  unmanaged     --                 
virbr0-nic   tap       unmanaged     -- 
---------------------------------

Comment 7 Yann Droneaud 2015-05-29 20:30:14 UTC
Created attachment 1032284 [details]
wpa_supplicant debug log

Here's a log when running wpa_supplicant in console:

wlp3s0: Trying to associate with SSID 'Nokia_XXXXXXXXXXXX'
wlp3s0: Association request to the driver failed
wlp3s0: Trying to associate with SSID 'Nokia_XXXXXXXXXXXX'
wlp3s0: Association request to the driver failed
wlp3s0: Trying to associate with SSID 'Nokia_XXXXXXXXXXXX'
wlp3s0: Association request to the driver failed
wlp3s0: Trying to associate with SSID 'Nokia_XXXXXXXXXXXX'
wlp3s0: Association request to the driver failed
wlp3s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="Nokia_XXXXXXXXXXXX" auth_failures=1 duration=10 reason=CONN_FAILED
wlp3s0: Trying to associate with SSID 'Nokia_XXXXXXXXXXXX'
wlp3s0: Association request to the driver failed
wlp3s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="Nokia_XXXXXXXXXXXX" auth_failures=2 duration=20 reason=CONN_FAILED
wlp3s0: Trying to associate with SSID 'Nokia_XXXXXXXXXXXX'
wlp3s0: Association request to the driver failed
wlp3s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="Nokia_XXXXXXXXXXXX" auth_failures=3 duration=30 reason=CONN_FAILED

Attached a complete debug log from wpa_supplicant for the same setup

Comment 8 Hedayat Vatankhah 2015-05-30 17:57:27 UTC
I've also got some debugging messages from wpa_supplicant:


dbus: Register network object '/fi/w1/wpa_supplicant1/Interfaces/1/Networks/0'
Fast associate: Old scan results
wls3: Setting scan request: 0.000000 sec
wls3: State: INACTIVE -> SCANNING
wls3: Add radio work 'connect'@0x7f0eca8bf140
wls3: First radio work item in the queue - schedule start immediately
wls3: Starting radio work 'connect'@0x7f0eca8bf140 after 0.000017 second wait
wls3: Trying to associate with SSID 'hvlap.hvnet'
wls3: Cancelling scan request
wls3: WPA: clearing own WPA/RSN IE
wls3: Automatic auth_alg selection: 0x1
wls3: WPA: clearing AP WPA IE
wls3: WPA: clearing AP RSN IE
wls3: WPA: clearing own WPA/RSN IE
wpa_driver_nl80211_set_key: ifindex=3 (wls3) alg=1 addr=(nil) key_idx=0 set_tx=1 seq_len=0 key_len=5
nl80211: KEY_DATA - hexdump(len=5): [REMOVED]
nl80211: set_key failed; err=-67 Link has been severed)
wls3: State: SCANNING -> ASSOCIATING
nl80211: Set wls3 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=3 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wls3: Determining shared radio frequencies (max len 1)
wls3: Shared frequencies (len=0): completed iteration
nl80211: Join IBSS (ifindex=3)
nl80211: Set mode ifindex 3 iftype 1 (ADHOC)
nl80211: Unsubscribe mgmt frames handle 0x8888f78642010ba9 (mode change)
nl80211: Subscribe to mgmt frames with non-AP handle 0x7f0eca898320
nl80211: Register frame type=0xb0 (WLAN_FC_STYPE_AUTH) nl_handle=0x7f0eca898320 match=
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=040a
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=040b
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=040c
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=040d
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=090a
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=090b
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=090c
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=090d
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=0409506f9a09
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=7f506f9a09
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=06
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=0a07
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x7f0eca898320 match=0a11
  * SSID - hexdump_ascii(len=11):
     68 76 6c 61 70 2e 68 76 6e 65 74                  hvlap.hvnet     
  * freq=2412
  * ht_enabled=1
  * sec_channel_offset=0
  * vht_enabled=0
  * center_freq1=0
  * center_freq2=0
  * bandwidth=0
  * Extra IEs for Beacon/Probe Response frames - hexdump(len=10): 7f 08 00 00 00 00 00 00 00 40
nl80211: Join IBSS failed: ret=-22 (Invalid argument)
wls3: Association request to the driver failed
wls3: Radio work 'connect'@0x7f0eca8bf140 done in 0.010353 seconds
Added BSSID 00:00:00:00:00:00 into blacklist
wls3: Blacklist count 1 --> request scan in 100 ms
wls3: Setting scan request: 0.100000 sec
wls3: State: ASSOCIATING -> DISCONNECTED
nl80211: Set wls3 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=3 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
dbus: flush_object_timeout_handler: Timeout - sending changed properties of object /fi/w1/wpa_supplicant1/Interfaces/1

Comment 9 Jirka Klimes 2015-06-01 10:27:59 UTC
It might be related to HT support for IBSS.

Would you get output of
$ iw list

Can you try with an older wpa_supplicant?
http://koji.fedoraproject.org/koji/buildinfo?buildID=587263

See also
http://patchwork.ozlabs.org/patch/425958/
https://patchwork.ozlabs.org/patch/437283/
https://code.google.com/p/chromium/issues/detail?id=460323

Comment 10 Hedayat Vatankhah 2015-06-01 17:58:44 UTC
Yes, the older wpa_supplicant works fine. 

output of iw list, if still needed:

[root@hvlap hedayat]# iw list
Wiphy phy0
	max # scan SSIDs: 20
	max scan IEs length: 127 bytes
	Retry short limit: 7
	Retry long limit: 4
	Coverage class: 0 (up to 0m)
	Device supports RSN-IBSS.
	Supported Ciphers:
		* WEP40 (00-0f-ac:1)
		* WEP104 (00-0f-ac:5)
		* TKIP (00-0f-ac:2)
		* CCMP (00-0f-ac:4)
		* 00-0f-ac:10
		* GCMP (00-0f-ac:8)
		* 00-0f-ac:9
	Available Antennas: TX 0 RX 0
	Supported interface modes:
		 * IBSS
		 * managed
		 * monitor
	Band 1:
		Capabilities: 0x20
			HT20
			Static SM Power Save
			RX HT20 SGI
			No RX STBC
			Max AMSDU length: 3839 bytes
			No DSSS/CCK HT40
		Maximum RX AMPDU length 65535 bytes (exponent: 0x003)
		Minimum RX AMPDU time spacing: 4 usec (0x05)
		HT RX MCS rate indexes supported: 0-23
		TX unequal modulation not supported
		HT TX Max spatial streams: 2
		HT TX MCS rate indexes supported may differ
		Bitrates (non-HT):
			* 1.0 Mbps
			* 2.0 Mbps (short preamble supported)
			* 5.5 Mbps (short preamble supported)
			* 11.0 Mbps (short preamble supported)
			* 6.0 Mbps
			* 9.0 Mbps
			* 12.0 Mbps
			* 18.0 Mbps
			* 24.0 Mbps
			* 36.0 Mbps
			* 48.0 Mbps
			* 54.0 Mbps
		Frequencies:
			* 2412 MHz [1] (14.0 dBm)
			* 2417 MHz [2] (15.0 dBm)
			* 2422 MHz [3] (15.0 dBm)
			* 2427 MHz [4] (15.0 dBm)
			* 2432 MHz [5] (15.0 dBm)
			* 2437 MHz [6] (15.0 dBm)
			* 2442 MHz [7] (15.0 dBm)
			* 2447 MHz [8] (15.0 dBm)
			* 2452 MHz [9] (15.0 dBm)
			* 2457 MHz [10] (15.0 dBm)
			* 2462 MHz [11] (15.0 dBm)
			* 2467 MHz [12] (15.0 dBm) (no IR)
			* 2472 MHz [13] (14.0 dBm) (no IR)
	Band 2:
		Capabilities: 0x62
			HT20/HT40
			Static SM Power Save
			RX HT20 SGI
			RX HT40 SGI
			No RX STBC
			Max AMSDU length: 3839 bytes
			No DSSS/CCK HT40
		Maximum RX AMPDU length 65535 bytes (exponent: 0x003)
		Minimum RX AMPDU time spacing: 4 usec (0x05)
		HT RX MCS rate indexes supported: 0-23, 32
		TX unequal modulation not supported
		HT TX Max spatial streams: 2
		HT TX MCS rate indexes supported may differ
		Bitrates (non-HT):
			* 6.0 Mbps
			* 9.0 Mbps
			* 12.0 Mbps
			* 18.0 Mbps
			* 24.0 Mbps
			* 36.0 Mbps
			* 48.0 Mbps
			* 54.0 Mbps
		Frequencies:
			* 5745 MHz [149] (15.0 dBm)
			* 5765 MHz [153] (15.0 dBm)
			* 5785 MHz [157] (15.0 dBm)
			* 5805 MHz [161] (15.0 dBm)
	Supported commands:
		 * new_interface
		 * set_interface
		 * new_key
		 * start_ap
		 * new_station
		 * new_mpath
		 * set_mesh_config
		 * set_bss
		 * authenticate
		 * associate
		 * deauthenticate
		 * disassociate
		 * join_ibss
		 * join_mesh
		 * set_tx_bitrate_mask
		 * frame
		 * frame_wait_cancel
		 * set_wiphy_netns
		 * set_channel
		 * set_wds_peer
		 * probe_client
		 * set_noack_map
		 * register_beacons
		 * start_p2p_device
		 * set_mcast_rate
		 * Unknown command (104)
		 * connect
		 * disconnect
	Supported TX frame types:
		 * IBSS: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
		 * managed: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
		 * AP: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
		 * AP/VLAN: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
		 * mesh point: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
		 * P2P-client: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
		 * P2P-GO: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
		 * P2P-device: 0x00 0x10 0x20 0x30 0x40 0x50 0x60 0x70 0x80 0x90 0xa0 0xb0 0xc0 0xd0 0xe0 0xf0
	Supported RX frame types:
		 * IBSS: 0x40 0xb0 0xc0 0xd0
		 * managed: 0x40 0xd0
		 * AP: 0x00 0x20 0x40 0xa0 0xb0 0xc0 0xd0
		 * AP/VLAN: 0x00 0x20 0x40 0xa0 0xb0 0xc0 0xd0
		 * mesh point: 0xb0 0xc0 0xd0
		 * P2P-client: 0x40 0xd0
		 * P2P-GO: 0x00 0x20 0x40 0xa0 0xb0 0xc0 0xd0
		 * P2P-device: 0x40 0xd0
	software interface modes (can always be added):
		 * monitor
	interface combinations are not supported
	HT Capability overrides:
		 * MCS: ff ff ff ff ff ff ff ff ff ff
		 * maximum A-MSDU length
		 * supported channel width
		 * short GI for 40 MHz
		 * max A-MPDU length exponent
		 * min MPDU start spacing
	Device supports TX status socket option.
	Device supports HT-IBSS.
	Device supports scan flush.

Comment 11 Jirka Klimes 2015-06-08 11:49:18 UTC
(In reply to Hedayat Vatankhah from comment #10)
> Yes, the older wpa_supplicant works fine. 
> 
Thanks for the confirmation.

> output of iw list, if still needed:
> 
> [root@hvlap hedayat]# iw list
> Wiphy phy0
> 	max # scan SSIDs: 20
> 	max scan IEs length: 127 bytes
> ...

Thank you for the output.

I have made a scratch build for new wpa_supplicant 2.4 for Fedora 22 that works for me. Feel free to download and test:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9982007

I was not able to do an official build as I am missing permissions. I will do that once I have the appropriate commit rights.

Comment 12 Hedayat Vatankhah 2015-06-08 18:06:51 UTC
Yes, it works for me too. Thanks! 

I've also tried connecting TO an ad-hoc network created by Nokia N9 (the original bug report), and it also works for me (but I've not tested with F22 wpa_supplicant to see if I also have the same problem as Yann). I'm sending this comment with that connection too.

Comment 13 Yann Droneaud 2015-06-09 08:13:04 UTC
Hi,

(In reply to Jirka Klimes from comment #11)
> 
> I have made a scratch build for new wpa_supplicant 2.4 for Fedora 22 that
> works for me. Feel free to download and test:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=9982007
> 

As comment #12, this package enable me to use the Nokia N9 Wifi Hotspot in Ad-Hoc mode with WEP.

Thanks a lot.

Regards.

Comment 14 Fedora Update System 2015-06-09 16:19:25 UTC
wpa_supplicant-2.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/wpa_supplicant-2.4-2.fc22

Comment 15 Fedora Update System 2015-06-10 19:12:22 UTC
Package wpa_supplicant-2.4-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wpa_supplicant-2.4-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9721/wpa_supplicant-2.4-2.fc22
then log in and leave karma (feedback).

Comment 16 Tony 2015-06-13 14:41:01 UTC
Still an issue for me even with new wpa_supplicant-2.4-2.fc22

% lsusb -d 12d1:1003
Bus 001 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA Modem / E230/E270/E870 HSDPA/HSUPA Modem

Jun 13 16:33:03 desyguest-1046.desy.de NetworkManager[1040]: <info>  Config: added 'wep_tx_keyidx' value '0'
Jun 13 16:33:03 desyguest-1046.desy.de NetworkManager[1040]: <info>  (wlp2s0): Activation: Stage 2 of 5 (Device Configure) complete.
Jun 13 16:33:03 desyguest-1046.desy.de NetworkManager[1040]: <info>  Config: set interface ap_scan to 2
Jun 13 16:33:03 desyguest-1046.desy.de NetworkManager[1040]: <info>  (wlp2s0): supplicant interface state: inactive -> disconnected
Jun 13 16:33:29 desyguest-1046.desy.de NetworkManager[1040]: <warn>  (wlp2s0): Activation: (wifi) Ad-Hoc network creation took too long, failing activation
Jun 13 16:33:29 desyguest-1046.desy.de NetworkManager[1040]: <info>  (wlp2s0): device state change: config -> failed (reason 'supplicant-timeout') [50 120 11]
Jun 13 16:33:29 desyguest-1046.desy.de NetworkManager[1040]: <info>  NetworkManager state is now CONNECTED_LOCAL
Jun 13 16:33:29 desyguest-1046.desy.de NetworkManager[1040]: <warn>  (wlp2s0): Activation: failed for connection 'GibsonSteps'
Jun 13 16:33:29 desyguest-1046.desy.de NetworkManager[1040]: <info>  (wlp2s0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Jun 13 16:33:29 desyguest-1046.desy.de NetworkManager[1040]: <info>  (wlp2s0): deactivating device (reason 'none') [0]
Jun 13 16:33:34 desyguest-1046.desy.de NetworkManager[1040]: <info>  (wlp2s0): supplicant interface state: disconnected -> inactive

Comment 17 Fedora Update System 2015-06-16 09:51:20 UTC
wpa_supplicant-2.4-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/wpa_supplicant-2.4-3.fc22

Comment 18 NSLW 2015-06-16 19:13:27 UTC
Still issue for me. I can create Ad-hoc network, but I cannot connect to it if WEP is used.
My Wifi card:
03:00.0 Network controller: Intel Corporation WiFi Link 5100

Comment 19 Fedora Update System 2015-06-30 00:17:43 UTC
wpa_supplicant-2.4-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Eric Lake 2015-07-06 20:10:37 UTC
I am on Fedora 22 and wpa_supplicant-2.4-3.fc22.x86_64 was not allowing me to connect to our work network. However downgrading to 2.3.3 does work.

Comment 21 Фукидид 2021-01-03 15:34:14 UTC
I have wpa_supplicant-2.9-6.fc33.x86_64 and I can't connect via Ad-hoc without encryption.


Note You need to log in before you can comment on or make changes to this bug.